## org.jfree.chart.ui
Class AxisPropertyEditPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jfree.chart.ui.AxisPropertyEditPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  org.jfree.chart.ui.NumberAxisPropertyEditPanel

public class AxisPropertyEditPanel
extends javax.swing.JPanel
implements java.awt.event.ActionListener

A panel for editing the properties of an axis.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static java.util.ResourceBundle` `localizationResources` The resourceBundle for the localization.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AxisPropertyEditPanel(Axis axis)` Standard constructor: builds a panel for displaying/editing the properties of the specified axis.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent event)` Handles user interaction with the property panel.
`void` `attemptTickLabelFontSelection()` Presents a tick label font selection dialog to the user.
`static AxisPropertyEditPanel` `getInstance(Axis axis)` A static method that returns a panel that is appropriate for the axis type.
`java.lang.String` `getLabel()` Returns the current axis label.
`java.awt.Font` `getLabelFont()` Returns the current label font.
`java.awt.Insets` `getLabelInsets()` Returns the current label insets value
`java.awt.Paint` `getLabelPaint()` Returns the current label paint.
`javax.swing.JTabbedPane` `getOtherTabs()` Returns a reference to the tabbed pane.
`java.awt.Font` `getTickLabelFont()` Returns the font used to draw the tick labels (if they are showing).
`java.awt.Insets` `getTickLabelInsets()` Returns the current tick label insets value
`java.awt.Paint` `getTickLabelPaint()` Returns the current tick label paint.
`boolean` `isTickLabelsVisible()` Returns a flag that indicates whether or not the tick labels are visible.
`boolean` `isTickMarksVisible()` Returns the current value of the flag that determines whether or not tick marks are visible.
`void` `setAxisProperties(Axis axis)` Sets the properties of the specified axis to match the properties defined on this panel.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### localizationResources

    protected static java.util.ResourceBundle localizationResources

  The resourceBundle for the localization.

Constructor Detail

### AxisPropertyEditPanel

    public AxisPropertyEditPanel(Axis axis)

  Standard constructor: builds a panel for displaying/editing the properties of the specified axis.

Parameters:
  `axis` - the axis whose properties are to be displayed/edited in the panel.

Method Detail

### getInstance

    public static AxisPropertyEditPanel getInstance(Axis axis)

  A static method that returns a panel that is appropriate for the axis type.

  Parameters:
    `axis` - the axis whose properties are to be displayed/edited in the panel.
  Returns:
    a panel or `null</code< if axis is <code>null`.

### getLabel

    public java.lang.String getLabel()

  Returns the current axis label.

  Returns:
    the current axis label.

### getLabelFont

    public java.awt.Font getLabelFont()

  Returns the current label font.

  Returns:
    the current label font.

### getLabelPaint

    public java.awt.Paint getLabelPaint()

  Returns the current label paint.

  Returns:
    the current label paint.

### isTickLabelsVisible

    public boolean isTickLabelsVisible()

  Returns a flag that indicates whether or not the tick labels are visible.

  Returns:
    `true` if ick mark labels are visible.

### getTickLabelFont

    public java.awt.Font getTickLabelFont()

  Returns the font used to draw the tick labels (if they are showing).

  Returns:
    the font used to draw the tick labels.

### getTickLabelPaint

    public java.awt.Paint getTickLabelPaint()

  Returns the current tick label paint.

  Returns:
    the current tick label paint.

### isTickMarksVisible

    public boolean isTickMarksVisible()

  Returns the current value of the flag that determines whether or not tick marks are visible.

  Returns:
    `true` if tick marks are visible.

### getTickLabelInsets

    public java.awt.Insets getTickLabelInsets()

  Returns the current tick label insets value

  Returns:
    the current tick label insets value.

### getLabelInsets

    public java.awt.Insets getLabelInsets()

  Returns the current label insets value

  Returns:
    the current label insets value.

### getOtherTabs

    public javax.swing.JTabbedPane getOtherTabs()

  Returns a reference to the tabbed pane.

  Returns:
    a reference to the tabbed pane.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Handles user interaction with the property panel.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `event` - Information about the event that triggered the call to this method.

### attemptTickLabelFontSelection

    public void attemptTickLabelFontSelection()

  Presents a tick label font selection dialog to the user.

### setAxisProperties

    public void setAxisProperties(Axis axis)

  Sets the properties of the specified axis to match the properties defined on this panel.

  Parameters:
    `axis` - the axis.